# These settings augment OpenWrt (upstream) lighttpd default config
# to support Turris webapps.

# This is part of turris-webapps package and is not meant to be edited.
# If you need different setup, uninstall this package and create your own config

# Listen on IPv4 "*:80" (default) and on IPv6 "[::]:80"
# $SERVER["socket"] == "*:80"    {  }
$SERVER["socket"] == "*:81"    {  }
# $SERVER["socket"] == "[::]:80" {  }
$SERVER["socket"] == "[::]:81" {  }

# Reset values so that lighttpd does not drop privileges
# and instead runs as the user who started lighttpd (root).
# LuCI, Foris, reForis require root to manage router configuration.
server.username  := ""
server.groupname := ""

# JSON API
$HTTP["url"] =~ "^/api/apps.json$" {
        alias.url = ( "/api/apps.json" => "/usr/share/turris-webapps/turris-webapps-json-cgi" )
        cgi.assign = ( "" => "" )
        setenv.add-response-header = ( "Content-Type" => "application/json")
        setenv.add-response-header += ( "Access-Control-Allow-Origin" => "*")
}

alias.url += ( "/icons/" => "/www/webapps-icons/")
alias.url += ( "/" => "/www/turris-webapps/")
